<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>CalendarPickerJS</title>
    <link rel="stylesheet" href="./CalendarPicker.style.css">
  <style>
       #calendar-frame {      
        position:absolute;          
        margin:2% -35% ;
        background: white;
        width:75%;
        height: 100%;
    } 
  </style>
  
</head>
<body>
    <div class="col-md" id="showcase-wrapper">
        <div id="myCalendarWrapper"></div>
      
    </div>

    <div class="col-md" id="calendar-day-container" tabindex="-1">
        <div class= "modal-dialog modal-dialog-centered">   
        
            <div class="modal-content">
                
                <div id = "day-holder" class = "modal-body">
                 <embed id = "calendar-frame" src="item.html" width="900px" height="900px" ></embed> 
                </div>
                
                
            </div>
        </div> 
    </div>


    

<script src="CalendarPicker.js"></script>
<script type="text/javascript" src="calanderview.js"></script>

<script>
    const nextYear = new Date().getFullYear() + 1;
    const preYear = new Date().getFullYear() -1;
    const myCalender = new CalendarPicker('#myCalendarWrapper', {
        // If max < min or min > max then the only available day will be today.
        min: new Date(preYear,10),
        max: new Date(nextYear, 10) // NOTE: new Date(nextYear, 10) is "Sun Nov 01 <nextYear>"
    });
/*
    const currentDateElement = document.getElementById('current-date');
    currentDateElement.textContent = myCalender.value;

    const currentDayElement = document.getElementById('current-day');
    currentDayElement.textContent = myCalender.value.getDay();

    const currentToDateString = document.getElementById('current-datestring');
    currentToDateString.textContent = myCalender.value.toDateString();
*/
    myCalender.onValueChange((currentValue) => {
        
        document.getElementById("calendar-frame").remove();

        var emb = document.createElement("embed");
        emb.setAttribute("id","calendar-frame");
        emb.setAttribute("src","item.html");
        document.getElementById("day-holder").appendChild(emb);

        
        //currentDateElement.textContent = currentValue;
        //currentDayElement.textContent = currentValue.getDay();
        //currentToDateString.textContent = currentValue.toDateString();
        
        var year = currentValue.getFullYear();
        var month = currentValue.getMonth()+1;
        if(month<10){
            month ="0"+month;
        }
        var day = currentValue.getDate();
        if(day<10){
            day="0"+day;
        }
        var fullDate = year+"-"+month+"-"+day;
        sessionStorage.setItem("q-date",fullDate);
        
        console.log(fullDate);

        console.log(`The current value of the calendar is: ${currentValue}`);
    });
</script>
</body>

</html>
